Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoInitVirus< FitT > Class Template Reference

Initializer for binary chromosome with MGE. More...

`#include <eoInitVirus.h>`

Inheritance diagram for eoInitVirus< FitT >:

List of all members.

## Public Member Functions
| eoInitVirus (unsigned _combien, eoRndGenerator< bool > &_generator)
virtual void | operator() (eoVirus< FitT > &chrom)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
unsigned | combien
eoSTLF< bool > | generator
| generic wrapper for eoFunctor (s), to make them have the function-pointer style copy semantics

## Detailed Description

### template<class FitT>
class eoInitVirus< FitT >

Initializer for binary chromosome with MGE.

Definition at line 41 of file eoInitVirus.h.

The documentation for this class was generated from the following file:

- eoInitVirus.h